// vim: set tw=80 ts=2 sw=2 sts=2:
import { Component, Input, ViewChild } from '@angular/core';
import { MdDialogRef } from '@angular/material';

import { Login } from './login';
import { LoginFormComponent } from './loginForm.component';

@Component({
  selector: 'login-modal',
  template: `
<h2 md-dialog-title>Authentification requise</h2>

<md-dialog-content>
  <login-form (submit)="submit()" #loginForm="loginForm"></login-form>
</md-dialog-content>

<md-dialog-actions>
  <button md-button [disabled]="!loginForm.form.valid" (click)="submit()">
    Login
  </button>

  <button md-button md-dialog-close>
    Cancel
  </button>
</md-dialog-actions>
  `
})
export class LoginModalComponent {
  @ViewChild('loginForm') loginForm: LoginFormComponent;

  constructor(
    public dialogRef: MdDialogRef<LoginModalComponent>,
  ) {}

  submit(): void {
    let formModel = this.loginForm.form.value;
    let login: Login = new Login();

    login.email = formModel.email;
    login.password = formModel.password;

    this.dialogRef.close(login);
  }
}
